Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.space
Class VectorSpace

    java.lang.Object
      uchicago.src.sim.space.VectorSpace

    public class VectorSpace

extends java.lang.Object

A VectorSpace is a list-like container containing the objects "inhabiting" that space. Unlike the Discrete2D spaces, a VectorSpace does not imply any physical arrangement of the objects within the VectorSpace in relation to the other objects within that space. A VectorSpace is used as the space for those object whose relationship to other objects in the space is non- celluar, non-discrete, and so forth. Network nodes are the primary example here.

Version:
  $Revision: 1.5 $ $Date: 2004/11/03 19:50:58 $
Author:
  Nick Collier

Constructor Summary
`VectorSpace()` Creates a new VectorSpace.
`VectorSpace(java.util.Collection c)` Creates a vector space using the specified Collection.

Method Summary
`void` | `addMember(java.lang.Object o)` Add the specified object to this VectorSpace.
`java.util.ArrayList` | `getMembers()` Gets the list of members of this VectorSpace.
`void` | `removeMember(int index)` Remove the object at the specified index from this VectorSpace.
`void` | `removeMember(java.lang.Object o)` Remove the specified object from this VectorSpace.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VectorSpace

    public VectorSpace()

  Creates a new VectorSpace.

### VectorSpace

    public VectorSpace(java.util.Collection c)

  Creates a vector space using the specified Collection.

  Parameters:
    `c` - the collection to make this VectorSpace out of.

Method Detail

### addMember

    public void addMember(java.lang.Object o)

  Add the specified object to this VectorSpace.

  Parameters:
    `o` - the object to add

### removeMember

    public void removeMember(java.lang.Object o)

  Remove the specified object from this VectorSpace.

  Parameters:
    `o` - the object to remove

### removeMember

    public void removeMember(int index)

  Remove the object at the specified index from this VectorSpace.

  Parameters:
    `index` - the index of the object to remove

### getMembers

    public java.util.ArrayList getMembers()

  Gets the list of members of this VectorSpace.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD